static bool led;                 //Déclaration de la variable led
static unsigned long stat_time;  //La variable stat_time est utilisée pour mémoriser la date du dernier changement d'état de la led

void setup() {
  pinMode(2, OUTPUT);    //La pin 2 est définie comme une sortie
  led = false;           //Initialisation de la variable led
  digitalWrite(2, led);  //On éteint la led sur la sortie 2
  stat_time = millis();  //Mémorisation de la date du changement d'état
}

void loop() {
  //Clignotement d'une led (période 1 seconde)
  if ((stat_time - millis()) > 500) {
    led = !led;            //On bascule l'état de la variable led
    digitalWrite(2, led);  //On allume/éteint la led sur la sortie 2
    stat_time = millis();  //Mémorisation de la date du changement d'état
  }
}