#include "obj_stat.h"  //Inclusion de la bibliothèque placée dans le répertoire de travail

//Déclarations des Tache 1
static bool led;         //Déclaration de la variable led
static Pulse pulse_led;  //Déclaration d'un objet de classe Cpulse pour gérer la led

//Déclarations des Tache 2
//rien dans ce cas

//Setup Tache 1
void setup_tache_1() {
  pinMode(2, OUTPUT);    //La pin 2 est définie comme une sortie (led)
  led = false;           //Initialisation de la variable led
  digitalWrite(2, led);  //On éteint la led sur la sortie 2
}
//Setup Tache 2
void setup_tache_2() {
  pinMode(3, INPUT);     //La pin 3 est définie comme une entrée (bouton poussoire)
  pinMode(4, OUTPUT);    //La pin 2 est définie comme une sortie (led)
  digitalWrite(4, LOW);  //On éteint la led sur la sortie 4
}

//Loop Tache 1
void loop_tache_1() {
  //Clignotement d'une led (période 1 seconde)
  if (pulse_led.every(500)) {  //Vrai tous 500 ms sur un cycle
    led = !led;                //On bascule l'état de la variable led
    digitalWrite(2, led);      //On allume/éteint la led sur la sortie 2
  }
}

//Loop Tache 2
void loop_tache_2() {
  if (digitalRead(3)) {     //Si le bouton poussoir est enfoncé
    digitalWrite(4, HIGH);  //On allume la led sur la sortie 4
  } else {
    digitalWrite(4, LOW);  //On éteint la led sur la sortie 4
  }
}

//Setup
void setup() {
  setup_tache_1();
  setup_tache_2();
}
//Loop
void loop() {
  loop_tache_1();
  loop_tache_2();
}