//Déclarations
static bool bp_on;   //variable associée au bouton poussoire on
static bool bp_off;  //variable associée au bouton poussoire off
enum Etat { MARCHE,
            ARRET };      //Déclaration des états possibles
static Etat etatCourant;  //variable associée à l'état courant

//Setup
void setup() {
  pinMode(3, INPUT);     //La pin 3 est définie comme une entrée (bouton poussoire)
  pinMode(4, INPUT);     //La pin 4 est définie comme une entrée (bouton poussoire)
  etatCourant = MARCHE;  //Etat initial
}
//Loop
void loop() {
  //Mise à jour des entrées
  bp_on = digitalRead(3);
  bp_off = digitalRead(4);
  //Gestion de l'évolution des états
  switch (etatCourant) {
    case MARCHE:
      // Action état Marche
      //...

      //Transition vers l'état ARRET
      if (bp_off) {
        etatCourant = ARRET;
      }
      break;

    case ARRET:
      // Action état Arret
      //...

      //Transition vers l'état MARCHE
      if (bp_on) {
        etatCourant = MARCHE;
      }
      break;
  }
}